package w83b.w83bManager;

import java.util.HashMap;

import w83b.w83bBeans.W83bCentroTrabajoCompletoBean;


public interface W83bICentroTrabajo {
	public java.util.List buscarCentroTrabajo(w83b.w83bBeans.W83bCentroTrabajoBean param) throws Exception;
	
	public java.lang.Integer contarCentroTrabajo(w83b.w83bBeans.W83bCentroTrabajoBean param) throws Exception;
	
	public java.util.HashMap buscarComarca(HashMap hashComarca) throws Exception;
	
	public java.util.List cargarCnae(HashMap mapaResultado) throws Exception;
	
	public java.util.HashMap cargarCnaeCodigo(HashMap mapaResultado) throws Exception;
	
	public java.lang.String anyadirCentroTrabajo(w83b.w83bBeans.W83bCentroTrabajoBean param) throws Exception;
	
	public W83bCentroTrabajoCompletoBean detalleCentroTrabajo(HashMap mapaCentroTrabajo) throws Exception;
}
